Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Ihor Radchenko <[email-masked]>
Date: Sat, 23 Dec 2023 11:28:33 +0000

Eli Zaretskii <[email-masked]> writes:

>> I thought that it is already installed...
>
> The find-buffer part?  I don't see it, did I miss something?

No. I just had a problem with my local git repo. git reset fixed it and
revealed that the patch is indeed not installed yet.

>> 2. Improve case-fold-search binding, which will give another speedup
>>    (another patch I submitted)
>
> It should be installed, after you add the tests we've been discussing.
>
>> 3. Optionally add tests
>
> I hope the tests will not be optional...

Didn't you say earlier that tests are not strictly necessary in
<https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66117#361>?

I do not mind adding tests, but it will not be as fast - I need help
with them.

>> 4. Address the scenario Dmitry described in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66117#91
>
> That could be a separate bug report.  This one is already too long,
> and includes too many different issues.

Ok. I will create a separate bug report after the two submitted patches
are handled.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>